Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.documentation
Class MetadataGeneratingMetaClassCreationHandle

    java.lang.Object
      groovy.lang.MetaClassRegistry.MetaClassCreationHandle
          groovy.lang.ExpandoMetaClassCreationHandle
              org.codehaus.groovy.grails.documentation.MetadataGeneratingMetaClassCreationHandle

    public class MetadataGeneratingMetaClassCreationHandle

extends groovy.lang.ExpandoMetaClassCreationHandle

Used to enable the Metadata generating EMC creation handle.

Since:
  1.2
Author:
  Graeme Rocher

Field Summary

Fields inherited from class groovy.lang.ExpandoMetaClassCreationHandle
`instance`

Constructor Summary
`MetadataGeneratingMetaClassCreationHandle()`

Method Summary
`protected groovy.lang.MetaClass` | `createNormalMetaClass(Class theClass, groovy.lang.MetaClassRegistry registry)`
`static void` | `disable()`
`static void` | `enable()` Enables the ExpandoMetaClassCreationHandle with the registry.
`boolean` | `hasModifiedMetaClass(groovy.lang.ExpandoMetaClass emc)`
`static boolean` | `isExcludedClass(Class<?> theClass)`
`void` | `registerModifiedMetaClass(groovy.lang.ExpandoMetaClass emc)` Registers a modified ExpandoMetaClass with the creation handle

Methods inherited from class groovy.lang.MetaClassRegistry.MetaClassCreationHandle
`create, isDisableCustomMetaClassLookup, setDisableCustomMetaClassLookup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetadataGeneratingMetaClassCreationHandle

    public MetadataGeneratingMetaClassCreationHandle()

Method Detail

### createNormalMetaClass

    protected groovy.lang.MetaClass createNormalMetaClass(Class theClass,
                                                          groovy.lang.MetaClassRegistry registry)

  Overrides:
    `createNormalMetaClass` in class `groovy.lang.ExpandoMetaClassCreationHandle`

### isExcludedClass

    public static boolean isExcludedClass(Class<?> theClass)

### registerModifiedMetaClass

    public void registerModifiedMetaClass(groovy.lang.ExpandoMetaClass emc)

  Registers a modified ExpandoMetaClass with the creation handle

  Overrides:
    `registerModifiedMetaClass` in class `groovy.lang.ExpandoMetaClassCreationHandle`
  Parameters:
    `emc` - The EMC

### hasModifiedMetaClass

    public boolean hasModifiedMetaClass(groovy.lang.ExpandoMetaClass emc)

  Overrides:
    `hasModifiedMetaClass` in class `groovy.lang.ExpandoMetaClassCreationHandle`

### enable

    public static void enable()

  Enables the ExpandoMetaClassCreationHandle with the registry. `ExpandoMetaClassCreationHandle.enable();`

### disable

    public static void disable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD